import { flags, SfdxCommand } from '@salesforce/command';
import { CommandRequirements, HasRequirements } from '@salesforce/lwc-dev-mobile-core/lib/common/Requirements';
export declare class Preview extends SfdxCommand implements HasRequirements {
    static description: string;
    static args: {
        name: string;
    }[];
    static examples: string[];
    static flagsConfig: {
        platform: flags.Discriminated<flags.Option<string>>;
        componentname: flags.Discriminated<flags.Option<string>>;
        configfile: flags.Discriminated<flags.Option<string>>;
        confighelp: flags.Discriminated<flags.Boolean<void>>;
        projectdir: flags.Discriminated<flags.Option<string>>;
        target: flags.Discriminated<flags.Option<string>>;
        targetapp: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    private deviceName;
    private componentName;
    private targetApp;
    private projectDir;
    private configFilePath;
    private appConfig;
    run(): Promise<any>;
    private validateInputParameters;
    init(): Promise<void>;
    protected _help(): never;
    private _requirements;
    get commandRequirements(): CommandRequirements;
    private launchPreview;
    private launchDesktop;
    private launchIOS;
    private launchAndroid;
}
//# sourceMappingURL=preview.d.ts.map